%global enable_tests 1

%global barename pac-resolver

Name:               nodejs-pac-resolver
Version:            1.3.0
Release:            2%{?dist}
Summary:            Generates an asynchronous resolver function from a PAC file

License:            MIT
URL:                https://www.npmjs.org/package/pac-resolver
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(co)
BuildRequires:      npm(degenerator)
BuildRequires:      npm(ip)
BuildRequires:      npm(mocha)
BuildRequires:      npm(netmask)
BuildRequires:      npm(regenerator)
BuildRequires:      npm(thunkify)
%endif


%description
This module accepts a JavaScript String of code, which is meant to be a
PAC proxy file, and returns a generated asynchronous `FindProxyForURL()`
function.

%prep
%autosetup -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep co
%nodejs_fixdep ip

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pac-resolver
cp -pr package.json shExpMatch.js dateRange.js dnsResolve.js isResolvable.js \
    timeRange.js weekdayRange.js localHostOrDomainIs.js dnsDomainIs.js \
    myIpAddress.js dnsDomainLevels.js isPlainHostName.js isInNet.js index.js \
    %{buildroot}%{nodejs_sitelib}/pac-resolver

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
#rm node_modules/co
#ln -s /usr/lib/node_modules/co@3/ node_modules/co
# disable tests which need internet access
mocha --reporter spec \
    --invert \
    --grep 'GitHub issue #3|myIpAddress\(\)|isResolvable\(host\)|dnsResolve\(host\)|FindProxyForURL'
%endif


%files
%doc README.md
%{nodejs_sitelib}/pac-resolver/

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 16 2017 <piotr1212@gmail.com> - 1.3.0-1
- Update to 1.3.0
- Temporary disable more failing tests until update to newer co

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 10 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.2.6-4
- Update nodejs-co dependency

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 22 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.2.6-2
- fixdep nodejs-co

* Sat Sep 05 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.2.6-1
- update to 1.2.6

* Sat Jul 25 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 1.2.4-3
- fixdep npm(co)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 1.2.4-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.2.2-1
- Initial packaging for Fedora.
